Summary:	X Print Client library
Summary(pl.UTF-8):	Biblioteka kliencka X Print
Name:		xorg-lib-libXp
Version:	1.0.4
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXp-%{version}.tar.xz
# Source0-md5:	cf381ece59d723c8c8239ed339eadf88
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel >= 1.6
BuildRequires:	xorg-lib-libXau-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-proto-printproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
Requires:	xorg-lib-libX11 >= 1.6
Obsoletes:	libXp < 0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Print Client library.

%description -l pl.UTF-8
Biblioteka kliencka X Print.

%package devel
Summary:	Header files for libXp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXp
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel >= 1.6
Requires:	xorg-lib-libXau-devel
Requires:	xorg-lib-libXext-devel
Requires:	xorg-proto-printproto-devel
Obsoletes:	libXp-devel < 0.2

%description devel
DtPrint extension library.

This package contains the header files needed to develop programs that
use libXp.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia DtPrint.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXp.

%package static
Summary:	Static libXp library
Summary(pl.UTF-8):	Biblioteka statyczna libXp
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXp-static < 0.2

%description static
DtPrint extension library.

This package contains the static libXp library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia DtPrint.

Pakiet zawiera statyczną bibliotekę libXp.

%prep
%setup -q -n libXp-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_libdir}/libXp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXp.so.6

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXp.so
%{_libdir}/libXp.la
%{_pkgconfigdir}/xp.pc
%{_mandir}/man3/Xp*.3*
%{_mandir}/man3/libXp.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXp.a
%changelog
* Sat Sep 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXp.git;a=log;h=master

* Sat Sep 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 5b96304
- updated to 1.0.4

* Tue Feb 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 6cee8c1
- updated to 1.0.3

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 0c25067
- updated files

* Fri May 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e593be0
- up to 1.0.2; fixes CVE-2013-2062

* Fri Dec 07 2012 Jan Rękorajski <baggins@pld-linux.org> 7b3ef93
- fix cast from pointer to integer of different size on 64bit archs
- rel 2

* Fri Jan 14 2011 Jakub Bogusz <qboosh@pld-linux.org> be5cf9e
- updated to 1.0.1

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5bf8449
- individual url

* Thu Nov 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d0b87e
- release 5

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3c8ce20
- release 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6b2fa5c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c20ef2a
- converted to UTF-8

* Sat Nov 25 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 1c6cc3d
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 88d2cbe
- rebuild

* Wed Mar 08 2006 Jakub Bogusz <qboosh@pld-linux.org> c2f7272
- release 1

* Wed Dec 28 2005 Jakub Bogusz <qboosh@pld-linux.org> 60910f8
- sources from X11R7.0 release

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 9e56e31
- 1.0.0 (X11R7.0-RC4)

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> e285b53
- -devel desc fixes

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> fe68209
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> f5afd60
- pkgconfig epoch

* Fri Oct 21 2005 Jakub Bogusz <qboosh@pld-linux.org> 3d0eef9
- BR: util-macros >= 0.99.1 (XORG_MANPAGE_SECTIONS)

